Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 925202

Summary: csmith: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: csmithAssignee: Shakthi Kannan <shakthimaan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: shakthimaan
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-27 03:19:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 00:15:47 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  csmith appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/csmith/csmith-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Fedora Update System 2013-04-22 10:13:20 UTC
csmith-2.1.0-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/csmith-2.1.0-9.fc19

Comment 2 Fedora Update System 2013-04-22 10:14:41 UTC
csmith-2.1.0-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/csmith-2.1.0-9.fc18

Comment 3 Fedora Update System 2013-04-22 10:14:50 UTC
csmith-2.1.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/csmith-2.1.0-9.fc17

Comment 4 Fedora Update System 2013-04-22 17:21:14 UTC
Package csmith-2.1.0-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing csmith-2.1.0-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6254/csmith-2.1.0-9.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-27 03:19:46 UTC
csmith-2.1.0-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-05-01 03:32:35 UTC
csmith-2.1.0-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-05-01 03:33:37 UTC
csmith-2.1.0-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.